Page MenuHomePhabricator

More contrast on the gray lines that indicate tangents
Closed, ResolvedPublic

Description

Diego Moya showed me an example of a user who doesn't see the gray lines on the left side, even when somebody's telling him where to look:

https://en.wikipedia.org/w/index.php?title=Topic:Sgml8j7u3lgrf0db&topic_showPostId=shcz09ghqh0x60pz#flow-post-shcz09ghqh0x60pz

Nick's mentioned this a couple times, too.

Can we do something to make the contrast stronger?

Event Timeline

DannyH created this task.Jun 4 2015, 6:44 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH moved this task to Product/Design Work on the Collaboration-Team-Triage board.
DannyH added subscribers: DannyH, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 6:44 PM

Currently the line style is "dotted" (you probably need to zoom in order to notice). I'm not sure if that decision was for consistency reasons with some other elements (but I'm not aware of them). Changing it from "dotted" to solid already makes the line more clearly visible. Below there is a comparison of the doted (left) and the "solid" line:

The purpose of the lines are for guiding and complementing the indenting (which is the main element to communicate the structure), that is the reason why lines are not very prominent. From what I understood, the issue happened when the user creates a new tangent conversation (thus, there is not a comment above the reply box at the same indent level) which may make the reply box to look out of place if the line is not visible.

DannyH added a comment.Jun 9 2015, 1:13 AM

I think in this case, making the lines not prominent has made them not visible for some people.

The solid lines look good to me -- maybe having a stronger line there will help some of the users who are concerned about the indentation.

Change 216923 had a related patch set uploaded (by Pginer):
More contrast on the gray lines that indicate tangents

https://gerrit.wikimedia.org/r/216923

Change 216923 merged by jenkins-bot:
More contrast on the gray lines that indicate tangents

https://gerrit.wikimedia.org/r/216923

Catrope closed this task as Resolved.Jun 16 2015, 5:47 PM
Catrope claimed this task.